netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
gettok.c File Reference
`#include <ctype.h>`
`#include <pwd.h>`
`#include <string.h>`
`#include <sys/param.h>`
`#include <atalk/globals.h>`

## Macros
#define | ST_QUOTE 0
#define | ST_WORD 1
#define | ST_BEGIN 2

## Functions
void | initline (int len, char *line)
int | parseline (int len, char *token)

## Variables
static char * | l_curr
static char * | l_end

## Macro Definition Documentation

## ◆ ST_BEGIN

#define ST_BEGIN 2

## ◆ ST_QUOTE

#define ST_QUOTE 0

## ◆ ST_WORD

#define ST_WORD 1

## Function Documentation

## ◆ initline()

void initline | ( | int | len,
|  | char * | line )

## ◆ parseline()

int parseline | ( | int | len,
|  | char * | token )

## Variable Documentation

## ◆ l_curr

char* l_curr
| static

## ◆ l_end

char* l_end
| static